package org.wfc.omada.api.organization.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Copy failed customer related information.
 */
@ApiModel(description = "Copy failed customer related information.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:17:18.430+08:00[Asia/Shanghai]")

public class SiteCopyResultVo   {
  @JsonProperty("customerId")
  private String customerId;

  @JsonProperty("customerName")
  private String customerName;

  @JsonProperty("errorCode")
  private Integer errorCode;

  public SiteCopyResultVo customerId(String customerId) {
    this.customerId = customerId;
    return this;
  }

  /**
   * Copying failed customer's customerId.
   * @return customerId
  */
  @ApiModelProperty(value = "Copying failed customer's customerId.")


  public String getCustomerId() {
    return customerId;
  }

  public void setCustomerId(String customerId) {
    this.customerId = customerId;
  }

  public SiteCopyResultVo customerName(String customerName) {
    this.customerName = customerName;
    return this;
  }

  /**
   * Copying failed customer's customerName.
   * @return customerName
  */
  @ApiModelProperty(value = "Copying failed customer's customerName.")


  public String getCustomerName() {
    return customerName;
  }

  public void setCustomerName(String customerName) {
    this.customerName = customerName;
  }

  public SiteCopyResultVo errorCode(Integer errorCode) {
    this.errorCode = errorCode;
    return this;
  }

  /**
   * Copying failed customer's errorCode.
   * @return errorCode
  */
  @ApiModelProperty(value = "Copying failed customer's errorCode.")


  public Integer getErrorCode() {
    return errorCode;
  }

  public void setErrorCode(Integer errorCode) {
    this.errorCode = errorCode;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SiteCopyResultVo siteCopyResultVo = (SiteCopyResultVo) o;
    return Objects.equals(this.customerId, siteCopyResultVo.customerId) &&
        Objects.equals(this.customerName, siteCopyResultVo.customerName) &&
        Objects.equals(this.errorCode, siteCopyResultVo.errorCode);
  }

  @Override
  public int hashCode() {
    return Objects.hash(customerId, customerName, errorCode);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SiteCopyResultVo {\n");
    
    sb.append("    customerId: ").append(toIndentedString(customerId)).append("\n");
    sb.append("    customerName: ").append(toIndentedString(customerName)).append("\n");
    sb.append("    errorCode: ").append(toIndentedString(errorCode)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

